body {
    font: 1.8vh "Lucida Grande", Helvetica, Arial, sans-serif;
    background-color: #f0f0f0;
    margin-bottom: 100px;
    clear: both;
}

td {
    white-space: nowrap;
    text-align: center;
}

h1,
h2,
h3,
h4,
h5,
p,
button {
    color: #264653;
}

#game-window>p {
    padding: 0;
    margin: 0;
}

.loader {
    border-top: 16px solid #B31B1B;
    border-right: 16px solid hsl(0, 74%, 60%);
    border-bottom: 16px solid #B31B1B;
    border-left: 16px solid hsl(0, 74%, 60%);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
    margin: auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

h1.title {
    margin: auto;
    text-align: center;
    color: #B31B1B;
}

iframe {
    /* border: none; */
    width: 100%;
    height: 100%;
}

footer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 5px;
    padding-right: 15px;
    position: fixed;
    left: 0;
    bottom: 0;
    height: 50px;
    width: 100%;
    overflow: hidden;
    background-color: white;
    opacity: 0.4;
}
#start-game-button{
    align-items: center;
}
#old-game-window {
    /* display: flex; */
    flex-direction: row;
    width: 1300px;
}

#old-side {
    padding: 10px;
    border: 20px solid white;
    margin: 10px;
    width: 250px;
    height: 540px;
    background-color: white;
    box-shadow: 5px 0px 20px grey, 0 5px 20px white;
}

#after {
    margin: 10px;
    padding: 10px;
    width: 1050px;
    height: 300px;
    box-shadow: 5px 0px 20px grey, 0 5px 20px white;
}

.flex-left {
    display: flex;
    flex-direction: row;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-col {
    display: flex;
    flex-direction: column;
}

.center {
    margin-left: auto;
    margin-right: auto;
}

#content {
    padding: 50px;
    margin: auto;
    display: flex;
    flex-direction: column;
    /* justify-content: space-around;
  align-content: center; */
    align-items: center;
    /* width: 60%; */
}

.general {
    padding: 20px;
    margin: auto;
    width: 70%;
}

.introduction {
    padding: 10px;
    margin: auto;
    width: 70%;
}

td {
    padding: 10px;
}

div.block {
    align-items: center;
    display: none;
}

#cu-logo {
    align-items: center;
    padding-left: 15px;
    height: 40px;
}


/* #game-window {
  display: flex;
  width:   1300px;
  height:  700px;

} */

#top {
    padding: 10px;
    margin-bottom: 10px;
    width: 1287px;
    height: 115px;
    display: flex;
    flex-direction: row;
    box-shadow: 5px 0px 20px grey, 0 5px 10px white;
}

#side {
    width: 487px;
    height: 600px;
    margin-right: 20px
}

#side-segment {
    padding: 10px;
    margin-bottom: 10px;
    width: 487px;
    height: 275px;
    box-shadow: 5px 0px 20px grey, 0 5px 10px white;
}

.margin-right-15 {
    margin-right: 35px;
}

.margin-right-5 {
    margin-right: 5px;
}

#update-right {}

#request-left {}

#update-table {
    margin: 0px;
}

td {
    padding: 0px;
    width: 100px;
}

.center-horizontally {
    margin: 0 auto
}


/* ------------------------------------------------------ */


/* --------------NEW CSS FOR GRID and FLEX -------------- */


/* ------------------------------------------------------ */

.game-grid-container {
    /* Misc. */
    width: fit-content;
    height: 90%;
    padding: 1vh;
    /* Grid Properties */
    display: grid;
    grid-template-columns: min-content min-content;
    grid-template-rows: min-content min-content;
    grid-template-areas: "top   top" "side  game";
    grid-gap: 1vh;
}

#top-grid-item {
    background-color: #2A9D8F;
    grid-area: top;
    padding: 1vh;
    align-items: center;
}

#side-grid-item {
    background-color: #2A9D8F;
    grid-area: side;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height : 100%;
}

#game-grid-item {
    background-color: #2A9D8F;
    grid-area: game;
    display: flex;
    justify-content: center;
    align-items: center;
}

#game {
    background-color: black;
    display: inline;
}


/* ADJUST GAME based on SCREEN WIDTH */

@media screen and (min-width: 0px) {
    #game {
        background-color: rgb(255, 184, 6);
        width: 70vw;
        height: 80vh;
    }
    img.icon {
        height: 3vh;
        ;
    }
}


/* @media screen and (min-width: 1200px) {
  #game {
    background-color: rgb(230, 173, 208);
    width: 900px;
    height: 600px;
  }
 
}
@media screen and (min-width: 1800px) {
  #game {
    background-color: rgb(0, 186, 77);
    width: 1400px;
    height: 1050px;
  }
 
}

@media screen and (min-width: 2500px) {
  #game {
    background-color: rgb(221, 255, 0);
    width: 1650px;
    height: 1237px;
  }
 
} */

.top-flex-container {
    display: flex;
    flex-direction: row;
    gap: 1vh;
    justify-content: space-around;
    align-items: center;
}

.top-flex-item {
    /* text-align:center; */
}

.top-flex-item-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 0.2px;
    background-color: white;
    padding: 0.25vh;
    border: 5px solid white;
    border-radius: 5px;
}

.top-flex-item-item {
    padding: 0vh 0.8vh;
    background-color: white;
}

#side-flex-container {
    display: flex;
    flex-direction: column;
    gap: 3px;
    justify-content: space-around;
    align-items: space-around;
    background-color: white
}

.side-flex-item {
    margin: 1vh;
    background-color: white;
    display: flex;
    flex-direction: column;
    /* justify-content:  center; */
    align-items: center;
    padding: 0.5vh;
    border: 5px solid white;
    border-radius: 5px;
}

#side-grid-item-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas: "top" "bottom";
    gap: 10px;
    place-content: space-around;
}

#side-grid-item-top {
    grid-area: top;
    background-color: lightskyblue;
}

#side-grid-item-bottom {
    grid-area: bottom;
    background-color: lightsteelblue;
}

.info-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
    grid-template-areas: "row1-left row1-right" "row2-left row2-right" "row3-left row3-right" "row4-left row4-right" "row5-left row5-right";
    gap: 10px;
}

.info-grid-4by2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr;
    grid-template-areas: "row1-left row1-right" "row2-left row2-right" "row3-left row3-right" "row4-left row4-right";
    gap: 10px;
}

.info-item-row {
    text-align: stretch;
}

.info-item-left {
    justify-self: end;
    /* background-color: bisque */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.info-item-right {
    justify-self: start;
    /* background-color: blanchedalmond; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-right: 10px;
}


/* Control size of form elements */


/* label {
  font-size:  2.2vh;
  color: #264653;
}  */

input {
    /* width: 60%;
  height: 60%; */
    vertical-align: bottom;
}

input[type='number'] {
    font-size: 2.15vh;
    width: 5.45vh;
    color: #264653;
    padding: 0;
    margin: 0;
}

input#player_msg{
    font-size: 2.15vh;
    color: #264653;
    padding: 0.4vh;
    margin: 0;
}

button {
    font-size: 2.15vh;
    padding: 5px;
    margin: 0px;
    text-align: center;
}
input:invalid {
    border: 2px dashed red;
  }
  
input:valid {
    border: 2px solid black;
}

.button {
    background-color: lightblue;
    color: black;
}

.button:hover {
    background-color: #008CBA;
}

p.medium {
    font-size: 2.2vh;
    padding: 0;
    margin: 0;
}

p.large {
    font-size: 2.4vh;
    white-space: nowrap;
    padding: 0;
    margin: 0;
}

p.xlarge {
    font-size: 2.5vh;
    padding: 0;
    margin: 0;
}

.border-heading {
    padding: 0.4vh;
    border: 0.4vh outset #264653;
}


/* todo */


/* 
img {
  vertical-align: middle;
} */


/* Countdown TIMER from: https://css-tricks.com/how-to-create-an-animated-countdown-timer-with-html-css-and-javascript/ */

.base-timer {
    width: 100px;
    height: 100px;
}

.base-timer__svg {
    transform: scaleX(-1);
}

.base-timer__circle {
    fill: none;
    stroke: none;
}

.base-timer__path-elapsed {
    stroke-width: 7px;
    stroke: grey;
}

.base-timer__path-remaining {
    stroke-width: 7px;
    stroke-linecap: round;
    transform: rotate(90deg);
    transform-origin: center;
    transition: 1s linear all;
    fill-rule: nonzero;
    stroke: currentColor;
}

.base-timer__path-remaining.green {
    color: rgb(65, 184, 131);
}

.base-timer__path-remaining.orange {
    color: orange;
}

.base-timer__path-remaining.red {
    color: red;
}

.base-timer__label {
    position: absolute;
    width: 100px;
    height: 100px;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}


/* Requesting and Recieving Updates */

.blink-bg {
    color: #fff;
    animation: blinkingBackground 1s infinite;
}

@keyframes blinkingBackground {
    0% {
        background-color: white;
    }
    50% {
        background-color: #ef0a1a;
    }
}


/* survey */

.sq-title {
    font-size: 2vh;
}